"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
const path = require("path");
class GenerateServerApiCommand {
    constructor($serviceContractGenerator, $fs) {
        this.$serviceContractGenerator = $serviceContractGenerator;
        this.$fs = $fs;
        this.allowedParameters = [];
    }
    execute(args) {
        return __awaiter(this, void 0, void 0, function* () {
            let result = yield this.$serviceContractGenerator.generate();
            this.$fs.writeFile(path.join(__dirname, "../server-api.d.ts"), result.interfaceFile);
            this.$fs.writeFile(path.join(__dirname, "../server-api.ts"), result.implementationFile);
        });
    }
}
exports.GenerateServerApiCommand = GenerateServerApiCommand;
$injector.registerCommand("dev-generate-api", GenerateServerApiCommand);
