"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
class PluginConfigureCommandParameter {
    constructor($pluginsService, $errors) {
        this.$pluginsService = $pluginsService;
        this.$errors = $errors;
        this.mandatory = true;
    }
    validate(pluginName) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!pluginName) {
                this.$errors.fail("No plugin name specified");
            }
            if (!(yield this.$pluginsService.isPluginInstalled(pluginName))) {
                this.$errors.fail("Plugin %s is not installed", pluginName);
            }
            return true;
        });
    }
}
exports.PluginConfigureCommandParameter = PluginConfigureCommandParameter;
