"use strict";
const path = require("path");
class CordovaResourceLoader {
    constructor($resources, $fs) {
        this.$resources = $resources;
        this.$fs = $fs;
    }
    buildCordovaJsFilePath(version, platform) {
        return path.join(this.$resources.resolvePath("Cordova"), version, `cordova.${platform.toLowerCase()}.js`);
    }
    getCordovaMigrationData() {
        return this.$fs.readJson(path.join(this.$resources.resolvePath("Cordova"), "cordova-migration-data.json"));
    }
}
exports.CordovaResourceLoader = CordovaResourceLoader;
$injector.register("cordovaResources", CordovaResourceLoader);
