"use strict";
const helpers = require("../../helpers");
const constants_1 = require("../../common/constants");
class FrameworkProjectResolverBase {
    constructor($errors, $injector) {
        this.$errors = $errors;
        this.$injector = $injector;
    }
    resolveByName(name, framework, ctorArguments) {
        let fr = framework.charAt(0).toLowerCase() + framework.slice(1);
        let frameworkName = fr + name;
        try {
            let frameworkObject = this.$injector.resolve(frameworkName, ctorArguments);
            return frameworkObject;
        }
        catch (err) {
            this.$errors.fail("Unable to resolve framework %s. Valid frameworks are: %s", frameworkName, helpers.formatListOfNames(_.values(constants_1.TARGET_FRAMEWORK_IDENTIFIERS)));
        }
    }
}
exports.FrameworkProjectResolverBase = FrameworkProjectResolverBase;
