"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
const analytics_service_base_1 = require("../common/services/analytics-service-base");
class AnalyticsService extends analytics_service_base_1.AnalyticsServiceBase {
    constructor($logger, $options, $staticConfig, $prompter, $userSettingsService, $analyticsSettingsService, $progressIndicator, $osInfo) {
        super($logger, $options, $staticConfig, $prompter, $userSettingsService, $analyticsSettingsService, $progressIndicator, $osInfo);
        this.$logger = $logger;
        this.$options = $options;
    }
    trackFeature(featureName) {
        const _super = name => super[name];
        return __awaiter(this, void 0, void 0, function* () {
            if (this.$options.analyticsClient === AnalyticsService.SUBLIME_ANALYTICS_CLIENT_NAME) {
                yield _super("restartEqatecMonitor").call(this, AnalyticsService.SUBLIME_ANALYTICS_PROJECT_KEY);
            }
            yield _super("trackFeature").call(this, featureName);
        });
    }
}
AnalyticsService.SUBLIME_ANALYTICS_CLIENT_NAME = "Sublime";
AnalyticsService.SUBLIME_ANALYTICS_PROJECT_KEY = "0e2863c76b76409fa7bc140a2b36a066";
exports.AnalyticsService = AnalyticsService;
$injector.register("analyticsService", AnalyticsService);
