"use strict";
class EmulatorSettingsService {
    constructor($project, $errors) {
        this.$project = $project;
        this.$errors = $errors;
    }
    canStart(platform) {
        if (this.$project.capabilities.emulate) {
            return _.includes(this.$project.getProjectTargets(), platform.toLowerCase());
        }
        this.$errors.fail("The operation is not supported for %s projects.", this.$project.projectData.Framework);
    }
    get minVersion() {
        return this.$project.requiredAndroidApiLevel;
    }
}
exports.EmulatorSettingsService = EmulatorSettingsService;
$injector.register("emulatorSettingsService", EmulatorSettingsService);
